Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.txtimer
Interface EJBTimerServiceImplMBean

All Superinterfaces:
  EJBTimerService

All Known Implementing Classes:
  EJBTimerServiceImpl

public interface EJBTimerServiceImplMBean
extends EJBTimerService

MBean interface.

Since:
  07-Apr-2004

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Method Summary
`javax.management.ObjectName` | `getPersistencePolicy()` Get the object name of the persistence policy.
`javax.management.ObjectName` | `getRetryPolicy()` Get the object name of the retry policy.
`String` | `getTimedObjectInvokerClassName()` Get the TimedObjectInvoker class name
`String` | `getTimerIdGeneratorClassName()` Get the TimerIdGenerator class name
`String` | `listTimers()` List the timers registered with all TimerService objects
`void` | `setPersistencePolicy(javax.management.ObjectName persistencePolicyName)` Set the object name of the persistence policy.
`void` | `setRetryPolicy(javax.management.ObjectName retryPolicyName)` Set the object name of the retry policy.
`void` | `setTimedObjectInvokerClassName(String timedObjectInvokerClassName)` Set the TimedObjectInvoker class name
`void` | `setTimerIdGeneratorClassName(String timerIdGeneratorClassName)` Get the TimerIdGenerator class name

Methods inherited from interface org.jboss.ejb.txtimer.EJBTimerService
`createTimerService, createTimerService, getTimerService, removeTimerService, retryTimeout`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getRetryPolicy

    public javax.management.ObjectName getRetryPolicy()

  Get the object name of the retry policy.

### setRetryPolicy

    public void setRetryPolicy(javax.management.ObjectName retryPolicyName)

  Set the object name of the retry policy.

### getPersistencePolicy

    public javax.management.ObjectName getPersistencePolicy()

  Get the object name of the persistence policy.

### setPersistencePolicy

    public void setPersistencePolicy(javax.management.ObjectName persistencePolicyName)

  Set the object name of the persistence policy.

### getTimerIdGeneratorClassName

    public String getTimerIdGeneratorClassName()

  Get the TimerIdGenerator class name

### setTimerIdGeneratorClassName

    public void setTimerIdGeneratorClassName(String timerIdGeneratorClassName)

  Get the TimerIdGenerator class name

### getTimedObjectInvokerClassName

    public String getTimedObjectInvokerClassName()

  Get the TimedObjectInvoker class name

### setTimedObjectInvokerClassName

    public void setTimedObjectInvokerClassName(String timedObjectInvokerClassName)

  Set the TimedObjectInvoker class name

### listTimers

    public String listTimers()

  List the timers registered with all TimerService objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.